Package Details: otrtool 1.1.1-1

Git Clone URL: https://aur.archlinux.org/otrtool.git (read-only)
Package Base: otrtool
Description: Open source decoder for .otrkey files (onlinetvrecorder.com) [otrdecoder]
Upstream URL: http://pyropeter.github.com/otrtool/
Licenses: custom:CC0
Submitter: pyropeter
Maintainer: Sandmann
Last Packager: Sandmann
Votes: 16
Popularity: 0.220793
First Submitted: 2010-10-08 21:18
Last Updated: 2015-06-27 13:56

Latest Comments

Sandmann commented on 2015-04-06 23:24

Updated to 1.1.1

Icecube63 commented on 2014-12-29 14:59

Got the error: "Server response is unuseable"

Ther must be a change from "libcurl-agent/1.0" to "TIGER Library"

pyropeter commented on 2012-07-12 21:55

uploaded version 1.0.2:
* able to cope with slightly changed http response containing whitespace

pyropeter commented on 2011-07-12 20:55

uploaded version 1.0.1:
* now also compiles with curl 7.21.7

@echinotrix: Thanks for reporting!

echinotrix commented on 2011-07-12 05:03

Failed to compile with curl-7.21.7-1:
"curl/types.h: File or directory not found"

Compiles without error after downgrade to curl-7.21.6-2.

pyropeter commented on 2011-06-24 21:35

uploaded version 1.0.

(Sorry for the six month delay: I managed to miss the version bump of my own tool.)

pyropeter commented on 2010-10-31 12:27

Ok, I now added extra/imake as a makedepend (It also includes /usr/bin/makedepend)

notizblock commented on 2010-10-31 10:04

you got me wrong. I needed the package 'makedepend-git' from aur as makedepend to build this:
makedepend -w70 src/md5.c src/main.c
make: makedepend: Kommando nicht gefunden
make: *** [depend] Fehler 127
Breche ab ...
==> ERROR: Makepkg was unable to build otrtool.

pyropeter commented on 2010-10-30 23:51

Oh, I see: I left git in the makedepends-array when I adapted the otrtool-git PKGBUILD for this package.
I uploaded a new PKGBUILD.

pyropeter commented on 2010-10-30 23:41

Thanks!

Could you tell me what git is needed for? (Or post the output of make)
The only place I remember using git is the part of the Makefile generating the version ("0.9" for tarballs or "0.9-0-abcdef" when building from git). But I tried to make this part run without git beeing installed.

All comments